Subject: Bug#410: Segfault of _X11TransWritev in libNX_X11.so.6 with libQtGui

From: Mike Gabriel <[email-masked]>
Date: Mon, 30 Jun 2014 11:22:07 +0000

Hi Sven,

On  Do 26 Jun 2014 22:39:24 CEST, Sven Willenberger wrote:

> So this goes into tracker:
>
> I have isolated the problem to the following change in the nx-libs
> Makefile between 3.5.0.21 and 3.5.0.22, which persists through HEAD:
>
> --- nx-libs-3.5.0.21/Makefile   2014-06-14 12:45:27.000000000 -0400
> +++ nx-libs-HEAD/Makefile       2014-06-12 16:31:48.000000000 -0400
> @@ -3,6 +3,7 @@
>  INSTALL_DIR=install -d -m 755
>  INSTALL_FILE=install -m 644
>  INSTALL_PROGRAM=install -m 755
> +INSTALL_SYMLINK=ln -s -f
>  COPY_SYMLINK=cp -a
>  RM_FILE=rm -f
>  RM_DIR=rmdir -p --ignore-fail-on-non-empty
> @@ -114,6 +115,13 @@
>                                 "$$(string_rep "$$dirname"  
> nx-X11/.build-exports/include "$(DESTDIR)$(PREFIX)/include/nx")"/ ||  
> true; \
>             done; \
>
> +       # Provide means for Xinerama support in NX/X2Go sessions. This
> +       # This also requires two post-install symlinks:
> +       # (DESTDIR)$(NXLIBDIR)/X11/Xinerama/libNX_X11.so.6 ->  
> /usr/<libdir>/libX11.so.6
> +       # (DESTDIR)$(NXLIBDIR)/X11/Xinerama/libNX_Xext.so.6 ->  
> /usr/<libdir>/libXext.so.6
> +       $(INSTALL_DIR) $(DESTDIR)$(NXLIBDIR)/X11/Xinerama
> +       $(INSTALL_SYMLINK) ../libNX_Xinerama.so.1  
> $(DESTDIR)$(NXLIBDIR)/X11/Xinerama/libXinerama.so.1
> +
>         $(INSTALL_DIR) $(DESTDIR)$(PREFIX)/include/nx/X11/bitmaps
>         $(INSTALL_FILE) nx-X11/.build-exports/include/X11/bitmaps/* \
>                         $(DESTDIR)$(PREFIX)/include/nx/X11/bitmaps/
>
>
> Commenting out the Xinerama lines and rebuilding results in a clean run
> of my (and your) python scripts as well as VLC player.
>
> I have attached a diff (excepting whitespace differences (diff -ub) of
> my system's Xinerama.c (xorg's libXinerama 1.1.3) and the one provided
> in x2go's source (based on XFree86).

I really cannot reproduce the above issue on Debian.

But I have a suspicion...

Can you please check on Archlinux if you have the two other symlinks  
that are required for Xinerama to work?

""" (quoted from above...)
+       # Provide means for Xinerama support in NX/X2Go sessions. This
+       # This also requires two post-install symlinks:
+       # (DESTDIR)$(NXLIBDIR)/X11/Xinerama/libNX_X11.so.6 ->  
/usr/<libdir>/libX11.so.6
+       # (DESTDIR)$(NXLIBDIR)/X11/Xinerama/libNX_Xext.so.6 ->  
/usr/<libdir>/libXext.so.6
"""

If those are missing, please file a bug against the x2goserver package  
in Archlinux. The correct links have to be provided by the package  
maintainer (not by us upstream people).

If those links are missing: can you please create them and give  
feedback if the problem still occurs for you?

And...

Is my assumption correct that this bug only occurs if Xinerama has  
been enabled in the X2Go session's session profile (see profile  
manager window in X2Go Client).

Greets+Thanks!

Mike
-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: [email-masked], http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb